<?php

/*
 * AfterLogic WebMail Pro PHP by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the proprietary AfterLogic Computer License (LICENSE.txt)
 * 
 */

if (!defined('WM_ROOTPATH')) define('WM_ROOTPATH', (dirname(__FILE__).'/'));

require_once(WM_ROOTPATH.'common/inc_constants.php');
$error_desc = "";
if (!(isset($_GET['calendar']) && !empty($_GET['calendar']))) {
	$error_desc = "Can't load publicated calendar. Check calendar link.";
} else {
	session_name('PHPWEBMAILSESSID');
	@session_start();

	require_once(WM_ROOTPATH.'class_settings.php');
	require_once(WM_ROOTPATH.'calendar/class_settings.php');

	$calendar_hash = $_GET['calendar'];
	$wm_settings = &Settings::CreateInstance();
	if (!$wm_settings || !$wm_settings->isLoad || !$wm_settings->IncludeLang())
	{
		$error_desc = "Can't get settings";
	}
	else
	{
		$settings = new CalSettings($wm_settings);
		if (!$settings)
		{
			$error_desc = "Can't get settings";
		}
		else
		{
			require_once(WM_ROOTPATH.'calendar/db_query.php');
			$connect_result = SQL::init($settings->DbHost, $settings->DbLogin, $settings->DbPassword, $settings->DbName);
			if (!$connect_result) {
				$error_desc = "Can't connect to database.";
			} else {
				$publicated_calendar = SQL::GetCalendarParametersByHash($settings->DbPrefix,$calendar_hash);

				if ($publicated_calendar && $publicated_calendar[0]['id_user']) {
					$id_calendar = (int) $publicated_calendar[0]['id_calendar'];
					$calendar_name = $publicated_calendar[0]['calendar_name'];
					$_SESSION[CALENDAR_ID] = $id_calendar;
					$_SESSION[ACCESS_LEVEL] = (int) $publicated_calendar[0]['int_access_level'];
				} else {
					$error_desc = "Can't load publicated calendar. Check calendar link.";
				}
			}
			$skin = $settings->DefaultSkin;
			$lang = $wm_settings->DefaultLanguage;
		}
	}
}

if (strlen($error_desc) > 0) {
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta http-equiv="Cache-Control" content="private,max-age=1209600" />
	<title><?php echo $settings->SiteName;?></title>
	<link rel="stylesheet" href="skins/Hotmail_Style/styles.css" type="text/css" />
</head>
<body>
<div align="center" id="content" class="wm_content">
	<div class="wm_logo" id="logo" tabindex="-1" onfocus="this.blur();"></div>
	<div class="wm_login_error"><?php echo $error_desc; ?></div>
	<div class="wm_copyright" id="copyright">
<?php
		@require('inc.footer.php');
		exit('</div></div>');
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<html>
<head>
	<title><?php echo $calendar_name."&nbsp;&#8212;&nbsp;".$settings->SiteName;?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link type="text/css" rel="stylesheet" href="./calendar/skins/<?php echo $skin; ?>/calendar_styles.css" />
	<link type="text/css" rel="stylesheet" href="./skins/<?php echo $skin; ?>/styles.css" />
	<script type="text/javascript" src="./calendar/_language.js.php?lang=<?php echo $lang; ?>"></script>
	<script type="text/javascript" src="./calendar/published_lib.js"></script>
	<script type="text/javascript" src="./class.common.js"></script>
	<script type="text/javascript" src="./calendar/published_functions.js"></script>
	<script type="text/javascript" src="./calendar/published_edit_window_dropdowns.js"></script>

	<script type="text/javascript">
		var DAY = 0, WEEK = 1, MONTH = 2;
		var view = WEEK;
		var isLoaded = false;
		var SITE_NAME = "<?php echo $settings->SiteName; ?>";
		var processing_url = "./calendar/published_processing.php";
		var published_calendar = <?php echo $id_calendar; ?>;

		var setcache = new Array();
		setcache["timeformat"] = <?php echo $settings->DefaultTimeFormat; ?>;
		setcache["dateformat"] = <?php echo $settings->DefaultDateFormat; ?>;
		setcache["showweekends"] = <?php echo $settings->ShowWeekends; ?>;
		setcache["workdaystarts"] = <?php echo $settings->WorkdayStarts; ?>;
		setcache["workdayends"] = <?php echo $settings->WorkdayEnds; ?>;
		setcache["showworkday"] = <?php echo $settings->ShowWorkDay; ?>;
		setcache["weekstartson"] = <?php echo $settings->WeekStartsOn; ?>;
		setcache["defaulttab"] = <?php echo (int) $settings->DefaultTab; ?>;
		setcache["country"] = <?php echo '"'.$settings->DefaultCountry.'"'; ?>;
		setcache["timezone"] = <?php echo $settings->DefaultTimeZone; ?>;
		setcache["alltimezones"] = <?php echo $settings->AllTimeZones; ?>;

		function init() {
			PreventIEFlickering();
			PopupMenu = new CPopupMenus();
			var transport = getXMLHTTPRequest();
			if (!transport) {
				document.location = "";
			} else {
				var tbl = $('info_cont');
				BuildInformation(tbl);
				initSettingsCache();
				CreateCalendar();
				window.nowDate = new Date();
				create_div_dynamic(mydate);
				change();
				OperaAlldayScroll();
				fillEvents();
				calendarInManager.RefreshCalendarSelector(mydate.getDate(), mydate.getMonth()+1, mydate.getFullYear());
				SetMainDivHeight();
				ReRenderMonthly();
				scrollArea();
				document.onclick = documentOnClickHandler;
				isLoaded = true;
				HideInfo();
			}
		}
		function documentOnClickHandler(evt) {
			var tgt = window.event ? window.event.srcElement : evt.target;
			var monthsList = $("monthsList");
			var edit_form = $("edit_form");
			if (!monthsList.hidden && !(tgt.id == "monthsList" || tgt.id == "middleTdSelector" || tgt.id == "MonthSelector" || tgt.id == "imgSelector")){
				var middleTdSelector = $("middleTdSelector");
				monthsList.style.display = 'none';
				monthsList.hidden = true;
				middleTdSelector.className = 'middleTdSelector';
			}
		}

		function resizer(evt) {
			SetMainDivHeight();
			ReRenderMonthly();
			RecalcScrollArrows();
			setMaskHeight();
		}
		window.onresize = resizer;
	</script>
</head>
<body onload="init();" onclick="PopupMenu.checkShownItems();">

<table class="wm_information" id="info_cont">
	<tr>
		<td class="wm_info_message" id="info_message">
			<?php echo InfoLoading;?>
		</td>
	</tr>
</table>
<span id="allspan">
	<div class="wm_content">
		<textarea style="height:0px; top: -10; left: -10; border: overflow:hidden; position:absolute; visibility:hidden;" id="ev_inline" ></textarea>
		<div id="drager" style="position: absolute; top: 0px; left: 0px; border: 3px solid #cccccc; display:none;"> </div>

		<div class="wm_logo" id="logo"></div>

		<table class="wm_toolbar cal_toolbar" id="toolbar">
			<tr>
				<td>
					<div style="position:relative; margin:0px;">
						<div id="tab_3" class="time_tabs_outer" style="right:210px;"><div onclick="change(3);"><?php echo TabMonth;?></div></div>
						<div id="tab_2" class="time_tabs_outer" style="right:346px;"><div onclick="change(2);"><?php echo TabWeek;?></div></div>
						<div id="tab_1" class="time_tabs_outer_activ" style="right:482px;"><div onclick="change(1);"><?php echo TabDay;?></div></div>
					</div>
					<div class="wm_toolbar_item" id="toolbar_today" onmouseover="this.className='wm_toolbar_item_over'" 
						onmouseout="this.className='wm_toolbar_item'" onclick="mydate=new Date();dt=String(to8(mydate));view=DAY;switch2date(dt);">
						<img src="./calendar/skins/<?php echo $skin; ?>/menu/today.gif" alt="<?php echo AltToday;?>" title="<?php echo AltToday;?>" />
						<span><?php echo ToolToday;?></span>
					</div>

					<div id="toolbar_interval_switch">
						<div style="float:left; width:10px;"></div>
						<span class="wm_toolbar_item" onmouseover="this.className='wm_toolbar_item_over'" 
								onmouseout="this.className='wm_toolbar_item'">
										<div onclick="dateBrowse(-1);" class="calendar_arrow_left"></div>
						</span>

						<div id="time_title_1"></div>
						<div id="time_title_2"></div>
						<div id="time_title_3"></div>

						<span class="wm_toolbar_item" onmouseover="this.className='wm_toolbar_item_over'" 
								onmouseout="this.className='wm_toolbar_item'">
									<div onclick="dateBrowse(1);" class="calendar_arrow_right"></div>
						</span>
					</div>
				</td>
			</tr>
		</table>

		<div class="main_block" id="main_block">
			<div id="upper_indent" class="upper_indent"></div>
			<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="border-collapse:separate; ">
			<tr>
				<td class="mainbody">
					<div id="mainbody">


						<div id="work_area_day">
							<div id="day_headers_day" class="day_headers_day">
								<div class="day_headers_outer" style="width:40px; left: -40px;"><div class="day_headers_inner"></div></div>
								<div class="day_headers_outer" style="left: 0%; width:100%" id="dh1"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
								<div class="day_headers_outer" style="left: 100%; width:16px"><div class="day_headers_inner"></div></div>
							</div>
							<div id="area_1_day">
								<div class="calowner_1">
									<table>
										<tr>
											<td style="width:40px"></td>
											<td>
												<div id="grid_1d" class="grid_1">
													<div style="left:0%; height:100%;" id="c0" class="vrule"></div>
												</div>
											</td>
										</tr>
									</table>
								</div>
							</div>
							<div id="area_2_day">
								<div class="calowner_2">
									<table>
										<tr>
											<td style="width:40px;">
												<div id="rheaders_1" class="rheaders_2"></div>
											</td>
											<td>
												<div id="grid_2d" class="grid_2">
													<div style="left: 0%;" id="c1" class="vrule"></div>
													<div style="top:4.5ex;" id="r1" class="hrule"></div>
													<div style="top:9ex;" id="r2" class="hrule"></div>
													<div style="top:13.5ex;" id="r3" class="hrule"></div>
													<div style="top:18ex;" id="r4" class="hrule"></div>
													<div style="top:22.5ex;" id="r5" class="hrule"></div>
													<div style="top:27ex;" id="r6" class="hrule"></div>
													<div style="top:31.5ex;" id="r7" class="hrule"></div>
													<div style="top:36ex;" id="r8" class="hrule"></div>
													<div style="top:40.5ex;" id="r9" class="hrule"></div>
													<div style="top:45ex;" id="r10" class="hrule"></div>
													<div style="top:49.5ex;" id="r11" class="hrule"></div>
													<div style="top:54ex;" id="r12" class="hrule"></div>
													<div style="top:58.5ex;" id="r13" class="hrule"></div>
													<div style="top:63ex;" id="r14" class="hrule"></div>
													<div style="top:67.5ex;" id="r15" class="hrule"></div>
													<div style="top:72ex;" id="r16" class="hrule"></div>
													<div style="top:76.5ex;" id="r17" class="hrule"></div>
													<div style="top:81ex;" id="r18" class="hrule"></div>
													<div style="top:85.5ex;" id="r19" class="hrule"></div>
													<div style="top:90ex;" id="r20" class="hrule"></div>
													<div style="top:94.5ex;" id="r21" class="hrule"></div>
													<div style="top:99ex;" id="r22" class="hrule"></div>
													<div style="top:103.5ex;" id="r23" class="hrule"></div>
													<div style="top:108ex;" id="r24" class="hrule"></div>
													<div style="top:112.5ex;" id="r25" class="hrule"></div>
													<div style="top:117ex;" id="r26" class="hrule"></div>
													<div style="top:121.5ex;" id="r27" class="hrule"></div>
													<div style="top:126ex;" id="r28" class="hrule"></div>
													<div style="top:130.5ex;" id="r29" class="hrule"></div>
													<div style="top:135ex;" id="r30" class="hrule"></div>
													<div style="top:139.5ex;" id="r31" class="hrule"></div>
													<div style="top:144ex;" id="r32" class="hrule"></div>
													<div style="top:148.5ex;" id="r33" class="hrule"></div>
													<div style="top:153ex;" id="r34" class="hrule"></div>
													<div style="top:157.5ex;" id="r35" class="hrule"></div>
													<div style="top:162ex;" id="r36" class="hrule"></div>
													<div style="top:166.5ex;" id="r37" class="hrule"></div>
													<div style="top:171ex;" id="r38" class="hrule"></div>
													<div style="top:175.5ex;" id="r39" class="hrule"></div>
													<div style="top:180ex;" id="r40" class="hrule"></div>
													<div style="top:184.5ex;" id="r41" class="hrule"></div>
													<div style="top:189ex;" id="r42" class="hrule"></div>
													<div style="top:193.5ex;" id="r43" class="hrule"></div>
													<div style="top:198ex;" id="r44" class="hrule"></div>
													<div style="top:202.5ex;" id="r45" class="hrule"></div>
													<div style="top:207ex;" id="r46" class="hrule"></div>
													<div style="top:211.5ex;" id="r47" class="hrule"></div>
												</div>
											</td>
										</tr>
									</table>
								</div>
							</div>
							<div id="arrow_layer_day" class="arrow_layer" style="bottom:0px; z-index:2000; right:20px; height:500px; width:0px;">
								<div id="arrow_up_day" class="arrow_up" style=" display:none"
									onmouseover="this.className='arrow_up_hover'"
									onmouseout="this.className='arrow_up'"></div>

								<div id="arrow_down_day" class="arrow_down" style=" display:none"
									onmouseover="this.className='arrow_down_hover'"
									onmouseout="this.className='arrow_down'"></div>
							</div>
						</div>


						<div id="work_area_week">
							<div id="day_headers_week" class="day_headers_week"></div>
							<div id="area_1_week">
							 	<div class="calowner_1">
									<table>
										<tr>
											<td style="width:40px;"></td>
											<td>
												<div id="grid_1w" class="grid_1">
													<div style="left:0%; height:100%;" class="vrule"></div>
													<div style="left:14.2857%; height:100%;" class="vrule"></div>
													<div style="left:28.5714%; height:100%;" class="vrule"></div>
													<div style="left:42.8571%; height:100%;" class="vrule"></div>
													<div style="left:57.1429%; height:100%;" class="vrule"></div>
													<div style="left:71.4286%; height:100%;" class="vrule"></div>
													<div style="left:85.7143%; height:100%;" class="vrule"></div>
													<div id="current_day_1" class="current_day" style="left: 28.5714%; height:100%;"></div>
												</div>
											</td>
										</tr>
									</table>
								</div>
							</div>
							<div id="area_2_week">
								<div class="calowner_2">
									<table>
										<tr>
											<td style="width:40px">
												<div id="rheaders_2" class="rheaders_2"></div>
											</td>
											<td>
												<div id="grid_2w" class="grid_2">
														<div style="left: 0%;" id="c1" class="vrule"></div>
														<div style="left: 14.2857%;" id="c2" class="vrule"></div>
														<div style="left: 28.5714%;" id="c3" class="vrule"></div>
														<div style="left: 42.8571%;" id="c4" class="vrule"></div>
														<div style="left: 57.1429%;" id="c5" class="vrule"></div>
														<div style="left: 71.4286%;" id="c6" class="vrule"></div>
														<div style="left: 85.7143%;" id="c7" class="vrule"></div>
														<div style="top:4.5ex;" id="r1" class="hrule"></div>
														<div style="top:9ex;" id="r2" class="hrule"></div>
														<div style="top:13.5ex;" id="r3" class="hrule"></div>
														<div style="top:18ex;" id="r4" class="hrule"></div>
														<div style="top:22.5ex;" id="r5" class="hrule"></div>
														<div style="top:27ex;" id="r6" class="hrule"></div>
														<div style="top:31.5ex;" id="r7" class="hrule"></div>
														<div style="top:36ex;" id="r8" class="hrule"></div>
														<div style="top:40.5ex;" id="r9" class="hrule"></div>
														<div style="top:45ex;" id="r10" class="hrule"></div>
														<div style="top:49.5ex;" id="r11" class="hrule"></div>
														<div style="top:54ex;" id="r12" class="hrule"></div>
														<div style="top:58.5ex;" id="r13" class="hrule"></div>
														<div style="top:63ex;" id="r14" class="hrule"></div>
														<div style="top:67.5ex;" id="r15" class="hrule"></div>
														<div style="top:72ex;" id="r16" class="hrule"></div>
														<div style="top:76.5ex;" id="r17" class="hrule"></div>
														<div style="top:81ex;" id="r18" class="hrule"></div>
														<div style="top:85.5ex;" id="r19" class="hrule"></div>
														<div style="top:90ex;" id="r20" class="hrule"></div>
														<div style="top:94.5ex;" id="r21" class="hrule"></div>
														<div style="top:99ex;" id="r22" class="hrule"></div>
														<div style="top:103.5ex;" id="r23" class="hrule"></div>
														<div style="top:108ex;" id="r24" class="hrule"></div>
														<div style="top:112.5ex;" id="r25" class="hrule"></div>
														<div style="top:117ex;" id="r26" class="hrule"></div>
														<div style="top:121.5ex;" id="r27" class="hrule"></div>
														<div style="top:126ex;" id="r28" class="hrule"></div>
														<div style="top:130.5ex;" id="r29" class="hrule"></div>
														<div style="top:135ex;" id="r30" class="hrule"></div>
														<div style="top:139.5ex;" id="r31" class="hrule"></div>
														<div style="top:144ex;" id="r32" class="hrule"></div>
														<div style="top:148.5ex;" id="r33" class="hrule"></div>
														<div style="top:153ex;" id="r34" class="hrule"></div>
														<div style="top:157.5ex;" id="r35" class="hrule"></div>
														<div style="top:162ex;" id="r36" class="hrule"></div>
														<div style="top:166.5ex;" id="r37" class="hrule"></div>
														<div style="top:171ex;" id="r38" class="hrule"></div>
														<div style="top:175.5ex;" id="r39" class="hrule"></div>
														<div style="top:180ex;" id="r40" class="hrule"></div>
														<div style="top:184.5ex;" id="r41" class="hrule"></div>
														<div style="top:189ex;" id="r42" class="hrule"></div>
														<div style="top:193.5ex;" id="r43" class="hrule"></div>
														<div style="top:198ex;" id="r44" class="hrule"></div>
														<div style="top:202.5ex;" id="r45" class="hrule"></div>
														<div style="top:207ex;" id="r46" class="hrule"></div>
														<div style="top:211.5ex;" id="r47" class="hrule"></div>
														<div id="current_day_2" class="current_day" style="left: 28.5714%; height:216ex;"></div>
												</div>
											</td>
										</tr>
									</table>
								</div>
							</div>

							<div style="position:absolute; bottom:0px; height:0px; right:0px; width:100%">
								<div style="margin:0px 16px 0px 40px;  width:auto; ">
									<div style=" width:100%; position:relative;">

										<div id="arrow_layer_week_1" class="arrow_layer" style="bottom:0px;  z-index:15; left:14.2857%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_2" class="arrow_layer" style="bottom:0px;  z-index:15; left:28.5714%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_3" class="arrow_layer" style="bottom:0px;  z-index:15; left:42.8571%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none;"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_4" class="arrow_layer" style="bottom:0px;  z-index:15; left:57.1429%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_5" class="arrow_layer" style="bottom:0px;  z-index:15; left:71.4286%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_6" class="arrow_layer" style="bottom:0px;  z-index:15; left:85.7143%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none;"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>

										<div id="arrow_layer_week_7" class="arrow_layer" style="bottom:0px;  z-index:15; left:100%; height:500px; width:0px;">
											<div class="arrow_up" style=" display:none"
											onmouseover="this.className='arrow_up_hover'"
											onmouseout="this.className='arrow_up'"></div>

											<div class="arrow_down" style=" display:none;"
											onmouseover="this.className='arrow_down_hover'"
											onmouseout="this.className='arrow_down'"></div>
										</div>
									</div>
								</div>
							</div>
						</div>


						<div id="work_area_month">
							<div id="day_headers_month" class="day_headers_month" style="margin:0px; ">
									<div class="day_headers_outer" style="left: 0%;" id="dh1"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 14.285%;" id="dh2"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 28.5714%;" id="dh3"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 42.8571%;" id="dh4"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 57.1429%;" id="dh5"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 71.4286%;" id="dh6"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
									<div class="day_headers_outer" style="left: 85.7143%;" id="dh7"><div class="day_headers_inner"><span unselectable="on"></span></div></div>
							</div>
							<div id="area_2_month">
									<div class="calowner_2">
											<div id="grid_2_month" class="grid_2_month" style=" height:100%">
													<div style="left: 14.2857%; height: 100%;" id="c0" class="vrule"></div>
													<div style="left: 28.5714%; height: 100%;" id="c1" class="vrule"></div>
													<div style="left: 42.8571%; height: 100%;" id="c2" class="vrule"></div>
													<div style="left: 57.1429%; height: 100%;" id="c3" class="vrule"></div>
													<div style="left: 71.4286%; height: 100%;" id="c4" class="vrule"></div>
													<div style="left: 85.7143%; height: 100%;" id="c5" class="vrule"></div>
													<div id="month_cell_container"></div>
											</div>
									</div>
							</div>
					</div>

					</div><!--//mainbody-->
				</td>
				<td  class="spacer">&nbsp;</td>
				<td id="right" class="right">
					<div class="calendar_header" id="calhead1">
						<div class="calendar_header_text"><?php echo CalendarHeader;?></div>
						<div class="arrow"></div>
					</div>
					
					<div class="small_calendars" id="mini_calendar_box"></div>
					
					<div class="calendar_manager" id="manager_box" style="border-top:0;">
						<div id='manager_list' style='height: 20px; position: relative; overflow: auto; overflow-x: hidden; overflow-y: auto; width: 200px;'></div>
					</div>
				</td>
			</tr>
		</table>
			<div id="lower_indent" class="lower_indent"></div>
		</div><!--#main_block-->

		<div id="edit_window">
			<div class="mask"></div>
			<!-- edit form -->
			<div id="edit_form" class="edit_form" style="top:50%; left:50%;">
				<div style="height:auto; position:relative;left:-195px; top: -125px;">
					<input type="hidden" name="evform_id" id="evform_id" value="0" />
					<input type="hidden" id="id_calendar" value="0" />
					<div class="event_black">
						<div class="a"></div>
						<div class="b"></div>
						<div class="event_middle"></div>
						<div class="b"></div>
						<div class="a"></div>
					</div>
					<div class="eventcontainer_2" id="eventcontainer" style="position:relative;">
						<div class="event_edit">
						<div class="a"></div>
						<div class="b"></div>
						<div class="event_middle" style="">
							<div class="event_text" style="">
								<div class="time" id="ef_fulldate"><?php echo EventHeaderNew;?></div>
								<div class="text">
									<div class="em_spacer"></div>
									<form onsubmit="">
										<div class="row_title"><?php echo EventSubject;?></div>
										<div><input id="EventSubject" class="input" name="EventSubject" style="width:338px;" maxlength="50" tabIndex="1" readonly /></div>
										<div class="em_spacer"></div>
										<div class="row_title"><?php echo EventCalendar;?></div>
										<div class="eventcontainer_bw" id="edit_select_box" style="top:4em; left:68px; z-index:3001;">
											<div class="a"></div>
											<div class="b"></div>
											<div class="event_middle">
												<div class="calendar_text" style="width:136px; height:100%;">
													<div id="color_calendar_now" class="color_pick" style="border: 1px solid #fff; margin:2px 0px 0px 1px; background-color:#FFFFFF;"></div>
													<div id="calen_sal" class="text"></div>
												</div>
											</div>
											<div class="b"></div>
											<div class="a"></div>
										</div>
										<div style="position:absolute;left:5.7em" id="edit_select_box_list"></div>
										<div class="em_spacer" style="height:0px;"></div>
										<table border="0" cellpadding="0" cellspacing="0" style="float:left;margin-top:0.6em" >
											<tr>
												<td id="tmp_id" class="row_title"><?php echo EventFrom;?></td>
												<td>
													<input id="EventTimeFrom" name="EventTimeFrom" style="display:block;width:60px; border:1px solid #696969;color: #696969; text-align: center; margin-right:4px; padding:0px" value="" tabIndex="2" readonly />
													<div style="position:absolute;" id="EventTimeFrom_dropdown"></div>
												</td>
												<td>
													<input id="EventDateFrom" name="EventDateFrom" style="display:block;width:74px; border:1px solid #696969;color: #696969; text-align: center;padding:0px" value="" tabIndex="3" readonly />
													<div style="position:absolute;margin-top:-1px;" id="st"></div>
												</td>
											</tr>
										</table>
										<table border="0" cellpadding="0" cellspacing="0" style="float:left;margin-top:0.6em">
											<tr>
												<td class="row_title" style="text-align:center; float:none"><?php echo EventTill;?></td>
												<td>
													<input id="EventTimeTill" name="EventTimeTill" style="display:block;width:60px; border:1px solid #696969;color: #696969; text-align: center; margin-right:4px;padding:0px" value="" tabIndex="4" readonly />
													<div style="position:absolute;" id="EventTimeTill_dropdown"></div>
												</td>
												<td>
													<input id="EventDateTill" name="EventDateTill" style="display:block; width:74px; border:1px solid #696969;color: #696969; text-align: center;padding:0px" value="" tabIndex="5" readonly />
													<div style="position:absolute;overflow:visible;margin-top:-1px;" id="en"></div>
												</td>
											</tr>
										</table>
										<div class="em_spacer"></div>
										<div class="row_title"><?php echo CalendarDescription;?></div>
										<div><textarea name="EventDescription" id="EventDescription" style="background-color:white; color:#696969; border:1px solid #696969; width:338px; height:4em; padding-left:3px;" tabIndex="6" readonly></textarea></div>
										<div class="em_spacer" style="height:0px"></div>
										<div class="row_title" style="height:3em;"></div>
										<input type="button" id="closebut" value="<?php echo ButtonClose;?>" class="wm_button" onclick="evform_cancel();" tabIndex="9" />
										<div class="em_spacer"></div>
									</form>
									<br>
								</div>
							</div>
						</div>
						<div class="b"></div>
						<div class="a"></div>
					</div>
					</div>
				</div>
			</div>
		</div><!--#edit_window-->

	</div><!--#wm_content-->
</span>
</body>
</html>